/***********************************************************************
 * Copyright (c) 2003 University of Kent.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.cs.kent.ac.uk/projects/ocl/CPL.html
 ***********************************************************************/

package uk.ac.kent.cs.ocl20.standard.lib;

public interface OclAny {
    public OclBoolean equalTo(OclAny object2);
    public OclBoolean notEqualTo(OclAny object2);
    public OclBoolean oclIsNew();
    public OclBoolean oclIsUndefined();
    public Object oclAsType(OclType type);
    public OclBoolean oclIsTypeOf(OclType type);
    public OclBoolean oclIsKindOf(OclType type);
    public OclBoolean oclIsInState(Object type);
    public OclSet allInstances();
    
    public Object asJavaObject();

    public Object clone();
}
