/***********************************************************************
 * Copyright (c) 2003 University of Kent.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.cs.kent.ac.uk/projects/ocl/CPL.html
 ***********************************************************************/

package uk.ac.kent.cs.ocl20.standard.lib;

public interface OclSequence
    extends OclCollection
{
	OclInteger count(Object object);
	OclBoolean equalTo(OclSequence seq2);
	//OclBoolean notEqualTo(OclSequence seq2);
    OclSequence union(OclSequence sequence2);
    OclSequence flatten();
    OclSequence append(Object object);
    OclSequence prepend(Object object);
    OclSequence insertAt(OclInteger index, Object object);
    OclSequence subSequence(OclInteger lower, OclInteger upper);
    Object at(OclInteger i);
    OclInteger indexOf(Object object);
    Object first();
    Object last();
    OclSequence including(Object object);
    OclSequence excluding(Object object);

    OclBag asBag();
    OclSet asSet();
    OclOrderedSet asOrderedSet();
    OclSequence asSequence();
}
