/***********************************************************************
 * Copyright (c) 2003 University of Kent.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.cs.kent.ac.uk/projects/ocl/CPL.html
 ***********************************************************************/

/**
 * 
 * @author Octavian Patrascoiu
 *
 */

package uk.ac.kent.cs.ocl20.synthesis;

import java.util.Set;

public interface RuntimeEnvironment {
	public RuntimeEnvironment getParent();
	public void setParent(RuntimeEnvironment p);

	public Object getValue(String name);
	public void setValue(String name, Object value);
	public Set getKeys();
	
	public RuntimeEnvironment newEnvironment();
}
