/***********************************************************************
 * Copyright (c) 2003 University of Kent.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.cs.kent.ac.uk/projects/ocl/CPL.html
 ***********************************************************************/

package uk.ac.kent.cs.ocl20.standard.lib;

public interface OclInteger
    extends OclReal
{
	OclInteger inegate();
    OclInteger add(OclInteger i2);
    OclInteger subtract(OclInteger i2);
    OclInteger multiply(OclInteger i2);
    OclReal divide(OclInteger i2);
    OclInteger div(OclInteger i2);
    OclReal abs();
    OclInteger mod(OclInteger i2);
    OclInteger max(OclInteger i2);
    OclInteger min(OclInteger i2);
}
