/***********************************************************************
 * Copyright (c) 2003 University of Kent.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.cs.kent.ac.uk/projects/ocl/CPL.html
 ***********************************************************************/

package uk.ac.kent.cs.ocl20.standard.lib;

public interface OclString
    extends OclAny
{
    OclInteger size();
    OclString concat(OclString string2);
    OclString substring(OclInteger lower, OclInteger upper);
    OclInteger toInteger();
    OclReal toReal();
}
